Loading...
Searching...
No Matches
Instantiation

## Functions

PUBLIC int | csoundInitialize (int flags)
| Initialise Csound library with specific flags.
PUBLIC void | csoundSetOpcodedir (const char *s)
| Sets an opcodedir override for csoundCreate().
PUBLIC CSOUND * | csoundCreate (void *hostData)
| Creates an instance of Csound.
PUBLIC int | csoundLoadPlugins (CSOUND *csound, const char *dir)
| Loads all plugins from a given directory.
PUBLIC void | csoundDestroy (CSOUND *)
| Destroys an instance of Csound.
PUBLIC int | csoundGetVersion (void)
| Returns the version number times 1000 (5.00.0 = 5000).
PUBLIC int | csoundGetAPIVersion (void)
| Returns the API version number times 100 (1.00 = 100).

## Detailed Description

## Function Documentation

## csoundCreate()

PUBLIC CSOUND * csoundCreate | ( | void * | hostData | ) |

Creates an instance of Csound.

Returns an opaque pointer that must be passed to most Csound API functions. The hostData parameter can be NULL, or it can be a pointer to any sort of data; this pointer can be accessed from the Csound instance that is passed to callback routines.

References PUBLIC.

## csoundDestroy()

PUBLIC void csoundDestroy | ( | CSOUND * |  | ) |

Destroys an instance of Csound.

References PUBLIC.

## csoundGetAPIVersion()

PUBLIC int csoundGetAPIVersion | ( | void |  | ) |

Returns the API version number times 100 (1.00 = 100).

References PUBLIC.

## csoundGetVersion()

PUBLIC int csoundGetVersion | ( | void |  | ) |

Returns the version number times 1000 (5.00.0 = 5000).

References PUBLIC.

## csoundInitialize()

PUBLIC int csoundInitialize | ( | int | flags | ) |

Initialise Csound library with specific flags.

This function is called internally by csoundCreate(), so there is generally no need to use it explicitly unless you need to avoid default initilization that sets signal handlers and atexit() callbacks. Return value is zero on success, positive if initialisation was done already, and negative on error.

References PUBLIC.

## csoundLoadPlugins()

PUBLIC int csoundLoadPlugins | ( | CSOUND * | csound,
|  | const char * | dir )

Loads all plugins from a given directory.

References PUBLIC.

## csoundSetOpcodedir()

PUBLIC void csoundSetOpcodedir | ( | const char * | s | ) |

Sets an opcodedir override for csoundCreate().

References PUBLIC.